        !COMPILER-GENERATED INTERFACE MODULE: Fri Nov 20 16:57:13 2015
        MODULE NARIZGEO__genmod
          INTERFACE 
            SUBROUTINE NARIZGEO(PI,NA,LNA,DNA,SWETNA)
              REAL(KIND=8) :: PI
              INTEGER(KIND=4) :: NA
              REAL(KIND=8) :: LNA
              REAL(KIND=8) :: DNA
              REAL(KIND=8) :: SWETNA
            END SUBROUTINE NARIZGEO
          END INTERFACE 
        END MODULE NARIZGEO__genmod
